(function(api) {

    api.sectionConstructor['gamers-studio-upsell'] = api.Section.extend({

        // Remove events for this section.
        attachEvents: function() {},

        // Ensure this section is active. Normally, sections without contents aren't visible.
        isContextuallyActive: function() {
            return true;
        }
    });

    const gamers_studio_section_lists = ['banner', 'service'];
    gamers_studio_section_lists.forEach(gamers_studio_homepage_scroll);

    function gamers_studio_homepage_scroll(item, index) {
        // Detect when the front page sections section is expanded (or closed) so we can adjust the preview accordingly.
        item = item.replace(/-/g, '_');
        wp.customize.section('gamers_studio_' + item + '_section', function(section) {
            section.expanded.bind(function(isExpanding) {
                // Value of isExpanding will = true if you're entering the section, false if you're leaving it.
                wp.customize.previewer.send(item, { expanded: isExpanding });
            });
        });
    }
})(wp.customize);


// Example JavaScript/jQuery for tab interaction
jQuery(document).ready(function($) {
    $('.customize-control-radio input[type="radio"]').change(function() {
        // Remove active class from all labels
        $('.customize-control-radio label').removeClass('active');
        
        // Add active class to the selected label
        $(this).next('label').addClass('active');
    });
});

jQuery(document).ready(function($) {
    $('#wedding-event-management-custom-container img').on('click', function() {
        $('#wedding-event-management-custom-container img').removeClass('wedding-event-management-selected-img');
        $(this).addClass('wedding-event-management-selected-img');
        $(this).prev('input[type="radio"]').prop('checked', true).trigger('change');
    });
});

(function ($) {
    function ResetDemoSettings() {
        if (!confirm("Are you sure you want to reset demo import settings?")) return;

        $.post(ajaxurl, { action: 'gamers_studio_reset_demo_import_settings' }, function () {
            location.reload();
        });
    }

    window.ResetDemoSettings = ResetDemoSettings;
})(jQuery);

(function ($,wp) {
    function ResetGlobalColor() {
        if (confirm("Are you sure you want to reset global color settings?")) {
            wp.customize.instance("gamers_studio_gradient_color1").set("#F213FF");
			wp.customize.instance("gamers_studio_gradient_color2").set("#07D0ED");
        }
    }

    window.ResetGlobalColor = ResetGlobalColor;
})(jQuery, wp);